CellType

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jxl
Class CellType

    java.lang.Object
      jxl.CellType

    public final class CellType

extends java.lang.Object

An enumeration type listing the available content types for a cell

Field Summary
`static CellType` | `BOOLEAN`
`static CellType` | `BOOLEAN_FORMULA`
`static CellType` | `DATE`
`static CellType` | `DATE_FORMULA`
`static CellType` | `EMPTY` An empty cell can still contain formatting information and comments
`static CellType` | `ERROR`
`static CellType` | `FORMULA_ERROR`
`static CellType` | `LABEL`
`static CellType` | `NUMBER`
`static CellType` | `NUMBER_FORMULA`
`static CellType` | `STRING_FORMULA`

Method Summary
`java.lang.String` | `toString()` Returns a string description of this cell

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY

    public static final CellType EMPTY

  An empty cell can still contain formatting information and comments

### LABEL

    public static final CellType LABEL

### NUMBER

    public static final CellType NUMBER

### BOOLEAN

    public static final CellType BOOLEAN

### ERROR

    public static final CellType ERROR

### NUMBER_FORMULA

    public static final CellType NUMBER_FORMULA

### DATE_FORMULA

    public static final CellType DATE_FORMULA

### STRING_FORMULA

    public static final CellType STRING_FORMULA

### BOOLEAN_FORMULA

    public static final CellType BOOLEAN_FORMULA

### FORMULA_ERROR

    public static final CellType FORMULA_ERROR

### DATE

    public static final CellType DATE

Method Detail

### toString

    public java.lang.String toString()

  Returns a string description of this cell

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string description for this type

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD